%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		ntfs-config
Version:	1.0
Release:	0.5.rc5%{?dist}
Summary:	A front-end to Enable/disable NTFS write support

Group:		Applications/System          
License:	GPL        
URL:		http://flomertens.free.fr/ntfs-config            
Source0:	http://flomertens.free.fr/ntfs-config/download/source/%{name}-%{version}-RC5.tar.gz
##Added by upstream
#Source1:	%{name}.pam
#Source2:	%{name}.consoleapps
#Patch0:	%{name}-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	gettext, perl-XML-Parser
BuildRequires:	python-devel, pygtk2-devel
Buildrequires:	hal-devel, libglade2-devel
BuildRequires:	desktop-file-utils
Requires:	ntfs-3g     
Requires:	usermode

%description
ntfs-config will allow you to enable/disable write support
for external and/or internal device with only two click.
This will configure your system to use the new ntfs-3g driver
instead of the current read-only kernel one.

%prep
%setup -q -n %{name}-%{version}-RC5
#Remove gksu from .desktop files to match with fedora authentication's program
#%patch0 -p 1 ##applicable for oldest version
#[version 0.5.5] sed -e 's|gksu ntfs-config|ntfs-config|g' -i data/ntfs-config.desktop.in

#Rename to base package name [[experimental]].
#sed -e 's|%{name}-root|%{name}|g' -i data/pam/Makefile{.am,.in}
#sed -e 's|$(bindir)/%{name}|$(bindir)/%{name}-root|g' -i data/pam/Makefile{.am,.in}

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

#fix missing mkinstalldir from Makefile{.am,.in}
mkdir -p $RPM_BUILD_ROOT%{_bindir}

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -Dm 644"

desktop-file-install					\
	--vendor ""					\
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications	\
	--mode 0644					\
	--remove-category=Application			\
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

########## Added by upstream in 1.0-beta1.0 ####################
###
#move ntfs-config executable file in the right location to
#fix rpmlint error. 
#mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/
###
###
#Add PAM authentication to match with fedora authentication's program
#ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}
#install -Dm 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/%{name}
#install -Dm 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/%{name}
###
################################################################

#Fix executable permission
chmod 0755 $RPM_BUILD_ROOT%{_sbindir}/%{name}-root
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}

#Remove unneeded file.
rm -f $RPM_BUILD_ROOT%{_bindir}/consolehelper

#Fix missing consolehelper link
ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}-root

%find_lang %{name}



%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_sbindir}/%{name}-root
%{_bindir}/%{name}
%{_bindir}/%{name}-root
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
##removed by upstream :-(
#%{_mandir}/man8/%{name}*
%{python_sitelib}/NtfsConfig
%config(noreplace) %{_sysconfdir}/pam.d/%{name}-root
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}-root


%changelog
* Thu Oct 11 2007 Xavier Lamien <lxtnow@gmail.com> - 1.0-0.5.rc5
- Removed redhat-arwork as Requires.

* Tue Jun 26 2007 Xavier Lamien <lxtnow@gmail.com> - 1.0-0.4.rc5
- Udpated Release.

* Tue Jun 12 2007 Xavier Lamien <lxtnow@gmail.com> - 1.0-0.3.rc4
- Updated Release.

* Sat May 19 2007 Xavier Lamien <lxtnow@gamil.com> - 1.0-0.2.beta1
- fixed typo from dist tag.

* Wed May 16 2007 Xavier Lamien <lxtnow@gmail.com> - 1.0-0.1.beta1
- Updated Release.
- Fixed missing mkinstalldir from Makefile.

* Sun Mar 25 2007 Xavier Lamien <lxtnow@gmail.com> - 0.5.5-3
- Fixed default permission for executable file.
- Updated url source from upstream.

* Wed Mar 07 2007 Xavier Lamien <lxtnow@gmail.com> - 0.5.5-2
- increased release to build in cvs.

* Thu Mar 01 2007 Xavier Lamien <lxtnow@gmail.com> - 0.5.5-1
- Updated release.
- Disabled patch0 that doesn't works with new release.

* Mon Feb 13 2007 Xavier Lamien <lxtnow@gmail.com> - 0.5.4-2
- Added pam configuration as source files instead of use
  echo command.
- Added timestamp in install section.
- Removed "--add-categories" from "desktop-file-install" command.
- Added missing documentation in "doc".
- Removed some BR.

* Thu Feb 08 2007 Xavier Lamien <lxtnow@gmail.com> - 0.5.4-1.fc6
- New : check if ntfs-3g is install before starting the app.
- Added a --revert option that allow users to
  revert all changes made by ntfs-config.
- Added new translations.

* Fri Jan 26 2007 Xavier Lamien <lxtnow@gmail.com> - 0.5.2-1.fc6
- Improved debugging output.
- Added a manpage
- Fixed typo when searching for an ntfs kernel driver.
- Added Turkish translation.
- Added Dutch translation.
- Added Swedish translation.

* Tue Jan 23 2007 Xavier Lamien <lxtnow@gmail.com> - 0.5-1.fc6
- Added PAM authentication.
- Added new feature for fedora users.
- Fixed ntfs-config policy for removable device.
- Fixed fdi rules which should only apply for hotpluggable device.
- Fixed lisence which was mix up of LGPL and GPL, it's a pure GPL now.
- Fixed some spelling mistakes.
- Updated french translation.
- Added italien translation.
- Added chinese translation.

* Thu Jan 18 2007 Xavier Lamien <lxtnow@gmail.com> - 0.4.1-1.fc6
- Initiale RPM release.
